
%global meadversion 2.8.11
%global namedversion 2.8.11.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jackson-module-jaxb-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.8.11.redhat-1

Name:           %{?scl_prefix}jackson-module-jaxb-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson-module-JAXB-annotations
Group:          Development/Java

%if %with mead
Source100: jackson-module-jaxb-annotations-2.8.11.redhat-1-scm-sources.zip
Source102: jackson-module-jaxb-annotations-2.8.11.redhat-1-project-sources.tar.gz
Source103: jackson-module-jaxb-annotations-2.8.11.redhat-1.pom
Source104: jackson-module-jaxb-annotations-2.8.11.redhat-1-javadoc.jar
Source105: jackson-module-jaxb-annotations-2.8.11.redhat-1-sources.jar
Source106: jackson-module-jaxb-annotations-2.8.11.redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://wiki.fasterxml.com/JacksonJAXBAnnotations
Requires:       %{?scl_prefix_eap}jackson-core = %{epoch}:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= %{epoch}:%{version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-module-jaxb-annotations-%{namedversion}-%{release}-root

%description
Support for using JAXB annotations as an alternative to "native" Jackson
annotations, for configuring data binding.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-module-jaxb-annotations
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-module-jaxb-annotations -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-module-jaxb-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-module-jaxb-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-module-jaxb-annotations-%{namedversion} %{buildroot}%{_javadocdir}/jackson-module-jaxb-annotations
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS release-notes/VERSION
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}.jar
%{_javadir}/jackson-module-jaxb-annotations.jar
%if %with javadoc
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-jaxb-annotations-javadoc.jar
%else
%exclude %{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-module-jaxb-annotations-javadoc.jar
%endif
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-module-jaxb-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-module-jaxb-annotations-%{namedversion}
%{_javadocdir}/jackson-module-jaxb-annotations
%endif

%changelog
* Fri Jun 01 2018 Permaine Cheung <pcheung@redhat.com> - 2.8.11-2.redhat_1.1
- Relax R: jackson-databind to allow newer version

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 2.8.6-1.redhat_1.1
- upgrade to 2.8.6.redhat-1

* Mon Oct 17 2016 Filip Kujikis <fkujikis@redhat.com> - 2.8.3-1.redhat_1.1
- prod build of upstream tag jackson-module-jaxb-annotations-2.8.3

* Thu Aug 11 2016 Petr Sakar <psakar@redhat.com> - 2.7.4-1.redhat_1.1
- upgrade to 2.7.4.redhat-1

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Wed Aug 05 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-2.redhat_1.1
- fix Requires

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

